System.Web 2.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Property, AllowMultiple=false, Inherited=true)

Control developers use the attribute to decorate control types and their members, to signal which ones can and cannot be affected by themes and control skins. By default, all properties exposed by a control are themeable. However, themes are typically applied only to stylistic properties; the Themeable(false) attribute should be applied explicitly to all non-stylistic properties. Decorating a member with the Themeable(false) attribute ensures that the member is not themed, regardless of the value of the property. For example, if the attribute is applied to a control and set to false, the control is not affected by themes even when its property is set to true.

The class maintains a static list of all types that support themes, and this list is consulted whenever the static methods and are called.

Defines the metadata attribute that Web server controls and their members use to indicate whether their rendering can be affected by themes and control skins. This class cannot be inherited.

- Constructor

  Passing true to this constructor is equivalent to using the field, while passing false is equivalent to using the field.

  Initializes a new instance of the class, using the specified Boolean value to determine whether the attribute represents a type or member that is affected by themes and control skins.

  true to initialize the to represent a type or member that can be affected by themes; otherwise, false.
  2.0.0.0
- Field
  System.Web.UI.ThemeableAttribute

  The default value of the class is equivalent to the field. This is not necessarily equivalent to an instance that is created using the default class constructor.

  Gets a instance that represents the application-defined default value of the attribute.

  2.0.0.0
- Method
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if is the same instance as the current instance, or if the instances are different, but the attribute values are equivalent; otherwise, false.

  An object to compare with this instance, or null. 2.0.0.0
- Method
  System.Int32

  The method is suitable for use in hashing algorithms and data structures like a hash table.

  Serves as a hash function for the type.

  A hash code for the current .

  2.0.0.0
- Method
  System.Boolean To be added.

  Gets a value indicating whether the current instance is equivalent to a instance of the class.

  true if the current instance is equivalent to a instance of the class; otherwise, false.

  2.0.0.0
- Method
  System.Boolean `` To be added. To be added.

  Returns a value indicating whether the object passed to the method supports themes.

  true if the object supports themes and control skins; otherwise, false.

  2.0.0.0
- Method
  System.Boolean ``

  The class maintains a static internal catalog of types that support themes, and this method checks the catalog to determine whether the specified is represented there. If it is not, the method examines the object associated with the for the attribute to determine whether themes are supported.

  Returns a value indicating whether the passed to the method supports themes.

  true if the supports themes and control skins; otherwise, false.

  The to test for themes support. 2.0.0.0
- Field
  System.Web.UI.ThemeableAttribute

  The field is equivalent to creating an instance using the constructor and passing false.

  Gets a instance used to decorate a type or member that is not affected by themes and control skins.

  2.0.0.0
- Property
  System.Boolean To be added.

  A member is affected by themes if no attribute is defined explicitly for the member, or the Themeable(true) attribute is applied. A member is not affected by themes if the Themeable(false) attribute is applied; this is the default value for .

  Gets a value indicating whether the current control or member of a control can be affected by themes and control skins defined for the Web application.

  2.0.0.0
- Field
  System.Web.UI.ThemeableAttribute

  The field is equivalent to creating an instance using the constructor and passing true.

  Gets a instance used to decorate a type or member that is affected by themes and control skins.

  2.0.0.0